Skip to main content
GET
/
v2
/
identities
/
{id}
Retrieve an identity
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/identities/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0153b145-7ab9-bea2-cc16-a8b71328942f",
  "account": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "address": {
    "city": "New York",
    "line1": "852 North W St",
    "line2": "Apt 221",
    "state": "NY",
    "country": "US",
    "postal_code": "10014"
  },
  "first_name": "Sarah",
  "last_name": "Longfield",
  "full_name": "Sarah Longfield",
  "birth_date": "1980-10-30",
  "email": "[email protected]",
  "phone_number": "+12125555555",
  "picture_url": "www.argyle.com/logofoldername",
  "employment_status": "active",
  "employment_type": "full-time",
  "job_title": "Store Manager",
  "ssn": "522-09-1191",
  "marital_status": "Married filing jointly",
  "gender": "Female",
  "original_hire_date": "2019-01-03",
  "hire_date": "2020-04-08",
  "termination_date": null,
  "termination_reason": null,
  "employer": "Whole Goods",
  "employment": "0183d52a-d3b2-331d-c753-3662a20e352b",
  "base_pay": {
    "amount": "58024.50",
    "period": "annual",
    "currency": "USD"
  },
  "pay_cycle": "semimonthly",
  "platform_ids": {
    "employee_id": "OB238HDW5",
    "position_id": "6ELL4O7PM",
    "platform_user_id": "JLH7B9V6O6YGN9O7"
  },
  "created_at": "2023-01-30T12:53:24.561594Z",
  "updated_at": "2023-01-30T12:55:06.478699Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the identity object to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the identity.

Example:

"0153b145-7ab9-bea2-cc16-a8b71328942f"

account
string<uuid>

ID of the account associated with the identity.

Example:

"0187c66e-e7e5-811c-b006-2232f00f426a"

address
object
first_name
string

First name of the employee. Usually the legal first name.

Example:

"Sarah"

last_name
string

Last name of the employee. Usually the legal last name.

Example:

"Longfield"

full_name
string

Full name of the employee. Sourced from payroll data if available, otherwise constructed from available names and suffixes.

Example:

"Sarah Longfield"

birth_date
string<date>

Date of birth in ISO 8601 format. If values are obfuscated (rare), a dash will replace the value (e.g. --01-31 when the year is obfuscated).

Example:

"1980-10-30"

email
string

Email address.

Example:

"[email protected]"

phone_number
string

Phone number E.164 international format).

Example:

"+12125555555"

picture_url
string

URL location of the user's profile image.

Example:

"www.argyle.com/logofoldername"

employment_status
enum<string>

Job status of the employment relevant to the identity.

  • active
  • inactive
  • terminated

inactive and terminated definitions vary by Item and can overlap.

inactive typically indicates the employee left voluntarily, is on leave, or has not been active for a certain period of time.

terminated typically indicates the employee is no longer employed. Specific reasons for termination, if available, are returned in the termination_reason field.

We recommend using data from the /paystubs and /gigs endpoints to construct a more wholistic timeline of employment history.

Available options:
active,
inactive,
terminated
Example:

"active"

employment_type
enum<string>

Type of employment.

  • full-time
  • part-time
  • contractor
  • military
  • benefits
  • seasonal
  • temporary
  • other
Available options:
full-time,
part-time,
contractor,
military,
benefits,
seasonal,
temporary,
other
Example:

"full-time"

job_title
string

Job title.

Example:

"Store Manager"

ssn
string

Social Security number.

Example:

"522-09-1191"

marital_status
string

Marital status.

Example:

"Married filing jointly"

gender
string

Gender.

Example:

"Female"

original_hire_date
string<date>

Timestamp (ISO 8601) of the user's earliest employment start date.

Example:

"2019-01-03"

hire_date
string<date>

Timestamp (ISO 8601) of the user's most recent employment start date.

hire_date may differ from original_hire_date due to a promotion, a re-hiring event, or similar.

Example:

"2020-04-08"

termination_date
string<date> | null

Timestamp (ISO 8601) when the user was terminated.

Example:

null

termination_reason
string | null

Reason for termination.

Example:

null

employer
string

Name of the employer.

Example:

"Whole Goods"

employment
string

Employment ID. Can be used as a filter when listing identities.

Example:

"0183d52a-d3b2-331d-c753-3662a20e352b"

base_pay
object
pay_cycle
enum<string>

Payment frequency.

  • daily
  • weekly
  • biweekly — every two weeks
  • semimonthly — twice a month
  • monthly
  • quarterly
Available options:
daily,
weekly,
biweekly,
semimonthly,
monthly,
quarterly
Example:

"semimonthly"

platform_ids
object
created_at
string<datetime>

Timestamp (ISO 8601) when the identity object was created.

Example:

"2023-01-30T12:53:24.561594Z"

updated_at
string<datetime>

Timestamp (ISO 8601) when a property value of the identity object most recently changed.

Example:

"2023-01-30T12:55:06.478699Z"

metadata
object

Additional, non-categorized information.

Example:
{}